Copyright: Created with EasyHelp (Tel: 0973 209667)


SignalP/Ordinal to Value - RG354302

Description

This block converts an ordinal Input to a value Output.

The conversion is performed using the following formula:

Output = Input / Base

Although Base may be connected to other function blocks in the system, a new Output is computed only when Input receives a message.

Base is persistent.

Parameters

Input	Primary input to the block.  Expects an ordinal (0 to 65 535).

Base	Sets the base.  Expects an ordinal (0 to 65 535).

Get Input	Returns the current value of the input:  0 to 65 535.

Get Output	Returns the current value of the output:  -100% to +100%.

Get Base	Returns the current base:  0 to 65 535.


Description

This block converts an ordinal Input to a value Output.

The conversion is performed using the following formula:

Output = Input / Base

Although Base may be connected to other function blocks in the system, a new Output is computed only when Input receives a message.

Base is persistent.


Parameters

Input	Primary input to the block.  Expects an ordinal (0 to 65 535).

Base	Sets the base.  Expects an ordinal (0 to 65 535).

Get Input	Returns the current value of the input:  0 to 65 535.

Get Output	Returns the current value of the output:  -100% to +100%.

Get Base	Returns the current base:  0 to 65 535.